javax.xml.parsers

## Class ParserConfigurationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.xml.parsers.ParserConfigurationException

- All Implemented Interfaces:
    java.io.Serializable

      public class ParserConfigurationException
      extends java.lang.Exception

  Indicates a serious configuration error.
  Version:
    $Revision: 569981 $, $Date: 2007-08-26 23:59:07 -0400 (Sun, 26 Aug 2007) $
  Author:
    Jeff Suttor
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParserConfigurationException()` Create a new `ParserConfigurationException` with no detail message.
    `ParserConfigurationException(java.lang.String msg)` Create a new `ParserConfigurationException` with the `String` specified as an error message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ParserConfigurationException

          public ParserConfigurationException()

      Create a new `ParserConfigurationException` with no detail message.

    - #### ParserConfigurationException

          public ParserConfigurationException(java.lang.String msg)

      Create a new `ParserConfigurationException` with the `String` specified as an error message.
      Parameters:
        `msg` - The error message for the exception.

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.